// Aplicacion de la clase complejo
import java.util.Scanner;

public class AplicaComplejo {

	public static void main(String[] cadena) {
		Scanner x = new Scanner(System.in);
		
		System.out.print ("\nProporciona la parte real: ");
		float a = x.nextFloat();
		System.out.print ("\nProporciona la parte imaginaria: ");
		float b = x.nextFloat();
		Complejo x1 = new Complejo(a,b);
		
		System.out.print ("\nProporciona la parte real: ");
		a = x.nextFloat();
		System.out.print ("\nProporciona la parte imaginaria: ");
		b = x.nextFloat();
		Complejo x2 = new Complejo(a,b);
		
		Complejo x3 = new Complejo(x1.suma(x2));
		//x3.suma(x1,x2);
		
		System.out.println("La suma es: "+x3);
		
		Complejo x4 = new Complejo(2.3f,-4.3f);
		System.out.println("El valor es: "+x4.getR());
		x4.setR(-4.5f);
		System.out.println("El valor es: "+x4.getR());
		
		x.close();
	}

}
